# form-builder

## publication composant
#### installation pour build
```
./develop npm i
```
#### build
```
./develop npm run build
```
#### publish to npm
modifier la version dans package.json.

!!etre loggué sur npm
```
./develop npm publish
```

## tester

#### instalation
```
./develop app install
```
```
cp .env.dev .env 
```

#### démarrage
```
./develop up app -d
```

## doc

### installation

```
import data-table from 'data-table-vue-b4';
```
```

Vue.component('data-table',DataTable);
```

```
<data-table :config="dataTableConfig" ></data-table>

```

### les options

####columns

configuration des collonnes de votre table. title et field obligatoire
vous pouvez activer ou non si la collonne est triable
vous pouvez passer un nom de composant a utiliser pour l'affichage des datas de cette collonne , la data sera passé dans les props sous le nom "item".
```
columns: [
     { title: 'Nom', field: 'first_name', sortable: true },
     { title: 'Prénom', field: 'last_name', sortable: false },
     { title: 'genre', field: 'gender', sortable: false ,component:'test-label'},
],
```
####show

le nombre d'élément listés
```
type:number,
defaut:10
```
